<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smpu__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smpu_cfg_t</compoundname>
    <includes local="no">cy_prot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smpu__cfg__t_1ab5c10f0e5caa0b98ea5a77e963083278" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_smpu_cfg_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
<para>Base address of the memory region (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="900" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="900" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1abc56e746e46853ebc37be5e64ad03573" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1gaad39ed0d259460f717edfe9d08fc005f">cy_en_prot_size_t</ref></type>
        <definition>cy_en_prot_size_t cy_stc_smpu_cfg_t::regionSize</definition>
        <argsstring />
        <name>regionSize</name>
        <briefdescription>
<para>Size of the memory region (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="901" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="901" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1a92b0e0d1c87b57520a0129e869ad3da8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smpu_cfg_t::subregions</definition>
        <argsstring />
        <name>subregions</name>
        <briefdescription>
<para>Mask of the 8 subregions to disable (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="902" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="902" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1ac91be7bf8d9b59d7d3c780ca25eeaacb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_smpu_cfg_t::userPermission</definition>
        <argsstring />
        <name>userPermission</name>
        <briefdescription>
<para>User permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="903" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="903" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1abac4a2d239d707aa5fe01aaaeedf553e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_smpu_cfg_t::privPermission</definition>
        <argsstring />
        <name>privPermission</name>
        <briefdescription>
<para>Privileged permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="904" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="904" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1a32ba2cec25cb00ea3356354b72e36f81" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_smpu_cfg_t::secure</definition>
        <argsstring />
        <name>secure</name>
        <briefdescription>
<para>Non Secure = 0, Secure = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="905" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="905" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1ab482fd5f1ad02ad497cfc8070023313b" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_smpu_cfg_t::pcMatch</definition>
        <argsstring />
        <name>pcMatch</name>
        <briefdescription>
<para>Access evaluation = 0, Matching = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="906" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="906" />
      </memberdef>
      <memberdef id="structcy__stc__smpu__cfg__t_1af2d77ceba0c0955e3f34f4f8b5ebbdfc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_smpu_cfg_t::pcMask</definition>
        <argsstring />
        <name>pcMask</name>
        <briefdescription>
<para>Mask of allowed protection context(s) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="907" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="907" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for SMPU struct initialization. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="908" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="898" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="899" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1ab5c10f0e5caa0b98ea5a77e963083278" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>address</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1af2d77ceba0c0955e3f34f4f8b5ebbdfc" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>pcMask</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1ab482fd5f1ad02ad497cfc8070023313b" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>pcMatch</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1abac4a2d239d707aa5fe01aaaeedf553e" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>privPermission</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1abc56e746e46853ebc37be5e64ad03573" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>regionSize</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1a32ba2cec25cb00ea3356354b72e36f81" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>secure</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1a92b0e0d1c87b57520a0129e869ad3da8" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>subregions</name></member>
      <member prot="public" refid="structcy__stc__smpu__cfg__t_1ac91be7bf8d9b59d7d3c780ca25eeaacb" virt="non-virtual"><scope>cy_stc_smpu_cfg_t</scope><name>userPermission</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>